%------------------------------------------------------------------------%
%  Program   : DEMONSTRATION PROGRAM of Cef2Waterfall function (v1.00)   %
%------------------------------------------------------------------------%
%  Purpose   : To demonstrate the use of the Cef2Waterfall function.     %
%                                                                        %
%              It reads the contents of a measurement file stored in     %
%              the ITU recommended "Common Exchange Format V2.0" and     %
%              shows it's output as an RF spectrogram (waterfall).       %
%------------------------------------------------------------------------%
%  MatLab code version:  7.3 [R2006b]                                    %
%------------------------------------------------------------------------%
%  External functions used: Cef2Waterval (v1.00), Cef2Mat (v1.06)        %
%------------------------------------------------------------------------%
%  Creation / modification history:                                      %
%  2009-01-07 - v1.00 - B.A.Witvliet - creation                          %
%------------------------------------------------------------------------%

clear;      %clear workspace (memory)
clc;        %clear command window (default I/O screen)
close all;  %close graphic figures if any


% ----------------------------------
% FILENAME (select for testing)
% ----------------------------------
%filename='demo_CEF2.0_datafile_single_scan';
%filename='demo_CEF2.0_datafile_multi_scan';
filename='demo_CEF2.0_datafile_multi_scan_multiple_days';

% ----------------------------------
% DESIRED OUTPUT (select for testing)
% ----------------------------------
%1 = save waterfall graph as file   
%2 = show waterfall graph on screen
%3 = do both
out_choice=2;   


% -----------------------------
% USED DIRECTORIES (select for testing)
% -----------------------------
datadir=pwd;  % Choose at will. Here data directory is same as rootdir.
outdir =pwd;  % Choose at will. Here output directory is same as rootdir.


% ----------------------------------
% DEMO SHOW RF WATERFALL GRAPHS
% ----------------------------------
disp('Loading file... QRX');
[err,errmsg] = Cef2Waterfall_v1_00(filename,out_choice,datadir,outdir); 
disp(['Result: ' errmsg]);
